<app-header-logged pageOrigine="/mes-contrats">

    <ion-back-button text="" defaultHref="/mesassurances"></ion-back-button>

</app-header-logged>

<ion-content class="contentPrincipal animate__animated animate__fadeInDown">
    <app-refresher></app-refresher>



    <div class="containerContrat">
        <!-- <app-banniere-com></app-banniere-com> -->
        <div class="inputs">
            <div class="inputBlock">
                <ion-searchbar mode="ios" (ionChange)="onSearchContrat()" [(ngModel)]="valCherche" placeholder="{{'search' | translate}}"></ion-searchbar>
            </div>
            <div class="inputBlock selectInput">

                <div class="itemInput">
                    <ion-select (ionChange)="onSearchContrat()" [(ngModel)]="critereFiltre" placeholder="{{'Filtre' | translate}}" [value]=filtreByIm>
                        <ion-select-option [value]=filtreByNum><small translate>num_contrat</small></ion-select-option>

                        <ion-select-option [value]=filtreByfin translate>EndDate</ion-select-option>

                    </ion-select>
                </div>
            </div>
        </div>

        <div class="mesAction">
            <p class="mesHeading">Mes Contrats</p>
            <ion-grid no-padding *ngIf="myContrats.length > 0; else noContrats">
                <ion-row class="rowTitle" no-margin>

                    <ion-col text-center size="1">
                        <p class="colonneListe"> <small>BA</small></p>
                    </ion-col>
                    <ion-col text-center>
                        <p class="colonneListe"> <small>Numéro</small></p>
                    </ion-col>
                    <ion-col text-center size="1">
                        <p class="colonneListe"> <small>CA</small></p>
                    </ion-col>

                    <ion-col text-center>
                        <p class="colonneListe">
                            <ion-text><small>Objet</small></ion-text>
                        </p>
                    </ion-col>

                    <ion-col text-center>
                        <p class="colonneListe"> <small>Date Fin</small> </p>
                    </ion-col>
                    <ion-col size="2.9" text-center>
                        <p class="colonneListe"> <small> Statut</small> </p>
                    </ion-col>
                    <!-- <ion-col *ngIf="colonneReseau" size="1" text-center>
                        <p class="colonneListe"> <small>Réseaux </small></p>
                    </ion-col> -->
                    <!-- <ion-col size="0.4" text-right>
                        <p class ="colonneListe"> <small>Statuts </small>  </p>
                    </ion-col> -->
                </ion-row>


                <ion-row no-margin class="rowItem animate__animated animate__rotateInDownLeft" (click)="voirContratObjet(contrat)" detail="false" *ngFor="let contrat of myContrats | paginate: { itemsPerPage: 5, currentPage: p}">
                    <ion-col text-center size="1">
                        <img class="iconeVoiture" src="../../assets/icon/car.svg">
                    </ion-col>
                    <ion-col text-center>
                        <p class="colonneListeItem">{{contrat.police}}</p>

                    </ion-col>
                    <ion-col text-center size="1">
                        <img class="iconeVoiture" [src]="urlApiLogo+contrat.myCA.id">
                    </ion-col>

                    <ion-col text-center>
                        <p class="colonneListeItem" *ngIf="contrat.objetAssures !=null && contrat.objetAssures.length==1"> {{contrat.objetAssures[0].assure.intitule}} </p>
                        <ion-label class="colonneListeItem" *ngIf="contrat.objetAssures !=null && contrat.objetAssures.length>1">
                            <!-- <ion-icon class="iconeListeObjet" name="arrow-dropdown-circle"></ion-icon> -->
                            <img class="iconeVoiture" src="../../assets/hyperopia.svg">
                        </ion-label>
                    </ion-col>

                    <ion-col text-center>
                        <p class="colonneListeItem"> {{utilsService.displayDate(contrat.dateCloture)}} </p>
                    </ion-col>
                    <!-- <ion-col text-center size="2.9" >
                        <p class ="colonneListeItem">  {{contrat.etat}} <ion-text class ="colonneListeItem statusLight " [ngClass]= "contrat.dateCloture > date?'statusOn':'statusOff'">   </ion-text></p>
                    </ion-col> -->
                    <ion-col text-center size="2.4">
                        <!-- <p class="colonneListeItem">{{contrat.etat}}</p> -->
                        <p style="margin-left: 30px !important;" [ngClass]="[contrat.etat==1?'colonneListeItem statusLight statusRas':'colonneListeItem statusLight statusAlerte']"> </p>
                    </ion-col>
                    <!-- <ion-col *ngIf="colonneReseau && contrat.reseau !=null" size="1" text-center>
                        <img class="iconeVoiture" [src]="urlApiLogoReseau+contrat.reseau.id">
                    </ion-col>
                    <ion-col *ngIf="colonneReseau && contrat.reseau ==null" size="1" text-center>
                        <img class="iconeVoiture" [src]="">
                    </ion-col>
                    <ion-col text-left size="0.4">
                        <p class="colonneListeItem statusLight " [ngClass]="[(contrat.statut== statutContratValideNonActifLoc || contrat.statut== statutContratActifLoc) ?'statusRas':'',contrat.statut==statutContratEnCoursDeValidationLoc?'statusAlerte':'',(contrat.statut== statutContratExpireLoc || contrat.statut==statutContratResilieLoc || contrat.statut == statutContratSuspenduLoc )?'statusDepasse':'']">
                        </p>
                    </ion-col> -->
                </ion-row>
                <div>
                    <pagination-controls (pageChange)="p = $event" directionLinks="true" autoHide="true" responsive="true" previousLabel="Précédent" nextLabel="Suivant" screenReaderPaginationLabel="Pagination" screenReaderPageLabel="page">

                    </pagination-controls>
                </div>
            </ion-grid>
            <ng-template #noContrats>

                <p text-center class="noContrats">Aucun contrat ne correspond à votre sélection</p>

            </ng-template>


        </div>

        <ion-button class="newContrat " (click)="nouveauContrat()" size="small" shape="round">
            <ion-text>Nouveau contrat</ion-text>
        </ion-button>
    </div>
    <ion-fab *ngIf=false class="editiel" vertical="bottom" horizontal="end" slot="fixed">
        <div class="speech-bubble">
            <p> bonjour</p>
        </div>
        <img style="margin-left : 40px ;margin-top:10px; height:80px;" class="iconeVoiture" src="../../assets/icon/male-solid.svg">
    </ion-fab>

</ion-content>
<ion-footer>
    <app-custom-tab-bar></app-custom-tab-bar>
</ion-footer>